gtkunixprint.PrintUnixDialog
Prev | The gtkunixprint Class Reference | Next

## gtkunixprint.PrintUnixDialog

gtkunixprint.PrintUnixDialog — an dialog for selecting a printer in Unix (new in PyGTK 2.10)

## Synopsis

    class gtkunixprint.PrintUnixDialog(gtk.Dialog):
        gtkunixprint.PrintUnixDialog(title=None, parent=None)
        def set_page_setup(page_setup)
        def get_page_setup()
        def set_current_page(current_page)
        def get_current_page()
        def set_settings(settings=None)
        def get_settings()
        def get_selected_printer()
        def add_custom_tab(child, tab_label)
        def set_manual_capabilities(capabilities)

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.Widget
          +-- gtk.Container
            +-- gtk.Bin
              +-- gtk.Window
                +-- gtk.Dialog
                  +-- gtkunixprint.PrintUnixDialog

## Implemented Interfaces

`gtk.PrintUnixDialog` implements `gtk.Buildable`

## gtkunixprint.PrintUnixDialog Properties

gtk.Object Properties

gtk.Widget Properties

gtk.Container Properties

gtk.Window Properties

gtk.Dialog Properties

"current-page" | Read-Write | The current page in the document. Allowed values: >= -1. Default value: -1. Available in GTK+ 2.10.
"page-setup" | Read-Write | The `gtk.PageSetup` to use. Available in GTK+ 2.10.
"print-settings" | Read-Write | The `gtk.PrintSettings` used for initializing the dialog. Available in GTK+ 2.10.
"selected-printer" | Read-Write | The `gtkunixprint.Printer` that is selected. Available in GTK+ 2.10.

## gtkunixprint.PrintUnixDialog Style Properties

gtk.Widget Style Properties

gtk.Dialog Style Properties

## gtkunixprint.PrintUnixDialog Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.Widget Signal Prototypes

gtk.Container Signal Prototypes

gtk.Window Signal Prototypes

gtk.Dialog Signal Prototypes

## Description

## Constructor

### gtkunixprint.PrintUnixDialog

        gtkunixprint.PrintUnixDialog(title=None, parent=None)

`title` : | The title of the dialog, or `None`
`parent` : | The transient parent of the dialog, or `None`
Returns : | a new `gtkunixprint.PrintUnixDialog`

### Note

This constructor is available in PyGTK 2.10 and above.

Creates a new `gtkunixprint.PrintUnixDialog`.

## Methods

### gtkunixprint.PrintUnixDialog.set_page_setup

        def set_page_setup(page_setup)

`page_setup` : | a `gtk.PageSetup`

### Note

This method is available in PyGTK 2.10 and above.

The `set_page_setup`() method sets the "page-setup" property to the `gtk.PageSetup` specified by `page_setup`.

### gtkunixprint.PrintUnixDialog.get_page_setup

        def get_page_setup()

Returns : | the page setup of the dialog.

### Note

This method is available in PyGTK 2.10 and above.

The `get_page_setup`() method returns the `gtk.PageSetup` that is used by the `gtkunixprint.PrintUnixDialog`.

### gtkunixprint.PrintUnixDialog.set_current_page

        def set_current_page(current_page)

`current_page` : | the current page number.

### Note

This method is available in PyGTK 2.10 and above.

The `set_current_page`() method sets the "current-page" property ot the value specified by `current_page`. If `current_page` is not -1 (the default value), the current page choice for the range of pages to print is enabled.

### gtkunixprint.PrintUnixDialog.get_current_page

        def get_current_page()

Returns : | the current page of the dialog

### Note

This method is available in PyGTK 2.10 and above.

The `get_current_page`() method returns the current page of the `gtkunixprint.PrintUnixDialog`.

### gtkunixprint.PrintUnixDialog.set_settings

        def set_settings(settings=None)

`settings` : | a `gtk.PrintSettings`, or `None`

### Note

This method is available in PyGTK 2.10 and above.

The `set_settings`() method sets the `gtk.PrintSettings` for the `gtkunixprint.PrintUnixDialog`. Typically, this is used to restore saved print settings from a previous print operation before the print dialog is shown.

### gtkunixprint.PrintUnixDialog.get_settings

        def get_settings()

Returns : | a new `gtk.PrintSettings` object with the values from the dialog

### Note

This method is available in PyGTK 2.10 and above.

The `get_settings`() method returns a new `gtk.PrintSettings` object that represents the current values in the print dialog.

### gtkunixprint.PrintUnixDialog.get_selected_printer

        def get_selected_printer()

Returns : | the currently selected printer

### Note

This method is available in PyGTK 2.10 and above.

The `get_selected_printer`() method returns the currently selected `gtkunixprint.Printer`.

### gtkunixprint.PrintUnixDialog.add_custom_tab

        def add_custom_tab(child, tab_label)

`child` : | a `gtk.Widget`
`tab_label` : | a `gtk.Widget`

### Note

This method is available in PyGTK 2.10 and above.

The `add_custom_tab`() method adds a tab to the dialog using the `gtk.Widget` specified by `child` for the contents and `tab_label` for the label.

### gtkunixprint.PrintUnixDialog.set_manual_capabilities

        def set_manual_capabilities(capabilities)

`capabilities` : | one of the Unixprint Print Capabilities Flag Constants

### Note

This method is available in PyGTK 2.10 and above.

The `set_manual_capabilities`() method lets you specify the printing capabilities your application supports using the Unixprint Print Capabilities Flag Constants specified by `capabilities`. For example, if the application can handle scaling the output then it should pass `gtkunixprint.PRINT_CAPABILITY_SCALE`. If it doesn't pass that, the dialog will only let you select the scale if the printing system automatically handles scaling.

Prev | Up | Next
gtkunixprint.PrintJob | Home | gtkunixprint Functions